Index: c/src/ada-tests/mptests/mp01/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp01/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp01/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp01/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp01/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp01/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp02/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp02/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp02/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp02/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp02/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp02/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp03/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp03/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp03/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp03/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp03/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp03/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp04/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp04/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp04/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp04/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp04/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp04/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp05/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp05/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp05/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp05/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp05/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp05/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp06/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp06/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp06/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp06/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp06/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp06/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp07/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp07/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp07/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp07/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp07/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp07/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp08/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp08/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp08/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp08/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp08/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp08/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp09/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp09/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp09/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp09/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp09/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp09/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp10/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp10/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp10/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp10/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp10/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp10/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp11/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp11/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp11/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp11/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp11/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp11/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp12/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp12/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp12/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp12/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp12/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp12/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp13/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp13/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp13/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp13/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp13/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp13/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp14/node1/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp14/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp14/node1/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
Index: c/src/ada-tests/mptests/mp14/node2/.cvsignore
===================================================================
--- c/src/ada-tests/mptests/mp14/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
+++ c/src/ada-tests/mptests/mp14/node2/.cvsignore	(revision 7625d9a37b4755118224555fcd10a825ecc5a0e0)
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile