Index: scripts/binutils.spec.in
===================================================================
--- scripts/binutils.spec.in	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/binutils.spec.in	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -20,5 +20,5 @@
 Packager:     corsepiu@faw.uni-ulm.de and joel@OARcorp.com
 
-Version:      binutils-@binutils_version@
+Version:      binutils@binutils_version@
 Summary:      binutils for target @target_alias@
 Source0:      	binutils-@binutils_version@.tar.gz
Index: scripts/buildall
===================================================================
--- scripts/buildall	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
+++ scripts/buildall	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -0,0 +1,113 @@
+#! /bin/sh
+#
+#  Generate all the specs and then cycle through building them.
+#
+
+RTEMS_DIR=`dirname $0`
+
+# This is the full list .. hppa1.1 does not build now.
+#ALL_TARGETS="hppa1.1-rtems i386-rtems i960-rtems m68k-rtems \
+#  m68k-rtemself mips64orion-rtems \
+#  powerpc-rtems sh-rtems sh-rtemself sparc-rtems"
+
+# This is the full buildable set.
+ALL_TARGETS="i386-rtems i960-rtems m68k-rtems \
+  m68k-rtemself mips64orion-rtems \
+  powerpc-rtems sh-rtems sh-rtemself sparc-rtems"
+
+# This is what we are building this time
+TARGETS=${ALL_TARGETS}
+#TARGETS="sh-rtems"
+
+testing=no
+
+echo PATH=$PATH
+
+if [ ${testing} = yes ] ; then
+  ECHO=echo
+fi
+
+# Some linux distributions use /usr/src/packages
+# redhat uses /usr/src/redhat
+# others might use /usr/src
+if test -d /usr/src/packages/SPECS;
+then
+dst=/usr/src/packages/SPECS;
+elif test -d /usr/src/redhat/SPECS;
+ then
+dst=/usr/src/redhat/SPECS;
+elif test -d /usr/src/SPECS/;
+then
+dst=/usr/src/SPECS;
+fi
+
+#  Now generate all the specs
+for target in ${TARGETS}
+do
+  ${ECHO} ${RTEMS_DIR}/mkspec ${target}
+done
+
+# clean up a bit before we start
+cd ${dst}
+test -d log || mkdir log
+
+binutils=990901
+gcc=2.95.1
+gdb=4.18
+newlib=1.8.2
+
+#  do all the binutils
+for target in ${TARGETS}
+do
+  echo "rpm -ba --buildroot=/opt/tmp \
+     ${dst}/${target}-binutils-${binutils}.spec >log/${target}-binutils 2>&1"
+  if [ ${testing} = no ] ; then
+    rpm -ba --buildroot=/opt/tmp \
+       ${dst}/${target}-binutils-${binutils}.spec >log/${target}-binutils 2>&1
+  fi
+  ${ECHO} rm -rf ${dst}/../BUILD/${target}-binutils*
+  ${ECHO} rm -rf /opt/tmp/opt
+
+  # now build gdb
+  echo "rpm -ba --buildroot=/opt/tmp \
+     ${dst}/${target}-gdb-${gdb}.spec >log/${target}-gdb 2>&1"
+  if [ ${testing} = no ] ; then
+    rpm -ba --buildroot=/opt/tmp \
+       ${dst}/${target}-gdb-${gdb}.spec >log/${target}-gdb 2>&1
+  fi
+  ${ECHO} rm -rf ${dst}/../BUILD/${target}-gdb*
+  ${ECHO} rm -rf /opt/tmp/opt
+
+  # now build gcc/newlib
+  #    NOTE: This requires having binutils installed and we immediately
+  #          remove it once finished.
+  ${ECHO} rpm -i ${dst}/../RPMS/i386/${target}-binutils-${binutils}-0.i386.rpm
+
+  echo "rpm -ba --buildroot=/opt/tmp \
+     ${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec >log/${target}-gccnewlib 2>&1"
+  if [ ${testing} = no ] ; then
+    rpm -ba --buildroot=/opt/tmp \
+       ${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec >log/${target}-gccnewlib 2>&1
+  fi
+  ${ECHO} rm -rf ${dst}/../BUILD/${target}-gcc*
+  ${ECHO} rm -rf /opt/tmp/opt
+
+  echo uninstalling binutils for ${target} 
+  if [ ${testing} = no ] ; then
+    rpm -e `rpm -qa | grep rtems`
+  fi
+done
+
+echo Moving RPMs to CD staging directory
+for file in `ls -1 ${dst}/../RPMS/i386/*.rpm 2>/dev/null`
+do
+  ${ECHO} mv ${file} /usr3/rtems_cds/test_cd/RPMS
+done
+
+echo Moving SRPMs to CD staging directory
+for file in `ls -1 ${dst}/../SRPMS/*.rpm 2>/dev/null`
+do
+  ${ECHO} mv ${file} /usr3/rtems_cds/test_cd/SRPMS
+done
+
+exit 0
Index: scripts/gccnewlib.spec.in
===================================================================
--- scripts/gccnewlib.spec.in	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/gccnewlib.spec.in	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -20,5 +20,5 @@
 Packager:     corsepiu@faw.uni-ulm.de and joel@OARcorp.com
 
-Version:      gcc-@gcc_version@-newlib-@newlib_version@
+Version:      gcc@gcc_version@newlib@newlib_version@
 Summary:      rtems gcc and newlib C Library for target @target_alias@
 Source0:	gcc-@gcc_version@.tar.gz
@@ -113,5 +113,5 @@
 /opt/rtems/bin/@target_alias@-gcj
 /opt/rtems/lib/gcc-lib/@target_alias@/@gcc_version@
-/opt/rtems/@target_alias@/include*
+/opt/rtems/@target_alias@/include
 /opt/rtems/@target_alias@/sys-include
-/opt/rtems/@target_alias@/lib*
+/opt/rtems/@target_alias@/lib
Index: scripts/gdb.spec.in
===================================================================
--- scripts/gdb.spec.in	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/gdb.spec.in	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -20,5 +20,5 @@
 Packager:     corsepiu@faw.uni-ulm.de and joel@OARcorp.com
 
-Version:      gdb-@gdb_version@
+Version:      gdb@gdb_version@
 Summary:      gdb for target @target_alias@
 Source0:      	gdb-@gdb_version@.tar.gz
Index: scripts/mkbinutilspec
===================================================================
--- scripts/mkbinutilspec	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/mkbinutilspec	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -31,5 +31,5 @@
 specfile=${dst}/$target_alias-binutils-${binutils_version}.spec
 
-sed -e "s%@Release@%${release}%g" \
+sed -e "s%@Release@%${rpm_release}%g" \
     -e "s%@target_alias@%${target_alias}%g" \
     -e "s%@binutils_version@%${binutils_version}%g" \
Index: scripts/mkgdbspec
===================================================================
--- scripts/mkgdbspec	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/mkgdbspec	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -31,5 +31,5 @@
 specfile=${dst}/$target_alias-gdb-${gdb_version}.spec
 
-sed -e "s%@Release@%${release}%g" \
+sed -e "s%@Release@%${rpm_release}%g" \
     -e "s%@target_alias@%${target_alias}%g" \
     -e "s%@gdb_version@%${gdb_version}%g" \
Index: scripts/mkspec
===================================================================
--- scripts/mkspec	(revision c937033eaf70ab818a4179aa2dd12cf21f532e39)
+++ scripts/mkspec	(revision 7815d9656085c68ea63c9cb2e4e965818213fe12)
@@ -14,6 +14,6 @@
 #${RTEMS_DIR}/scripts/mkgccnewlibspec $target_alias
 #${RTEMS_DIR}/scripts/mkgdbspec $target_alias
-./mkbinutilspec $target_alias
-./mkgccnewlibspec $target_alias
-./mkgdbspec $target_alias
+${RTEMS_DIR}/mkbinutilspec $target_alias
+${RTEMS_DIR}/mkgccnewlibspec $target_alias
+${RTEMS_DIR}/mkgdbspec $target_alias
 