Index: c/src/lib/libbsp/shared/bootcard.c
===================================================================
--- c/src/lib/libbsp/shared/bootcard.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ c/src/lib/libbsp/shared/bootcard.c	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -19,6 +19,4 @@
  *      + initialize C Library and C Program Heap
  *      + bsp_pretasking_hook
- *      + if defined( RTEMS_DEBUG )
- *        - rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
  *      + rtems_initialize_before_drivers
  *      + bsp_predriver_hook
@@ -109,15 +107,4 @@
 
   /*
-   *  If debug is enabled, then enable all dynamic RTEMS debug
-   *  capabilities.
-   *
-   *  NOTE: Most debug features are conditionally compiled in
-   *        or enabled via configure time plugins.
-   */
-  #ifdef RTEMS_DEBUG
-    rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
-  #endif
-
-  /*
    *  Let RTEMS perform initialization it requires before drivers
    *  are allowed to be initialized.
Index: c/src/lib/libbsp/shared/include/bootcard.h
===================================================================
--- c/src/lib/libbsp/shared/include/bootcard.h	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ c/src/lib/libbsp/shared/include/bootcard.h	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -85,6 +85,4 @@
  * - initialize C Library
  * - bsp_pretasking_hook()
- * - if defined( RTEMS_DEBUG )
- *   - rtems_debug_enable( RTEMS_DEBUG_ALL_MASK )
  * - rtems_initialize_before_drivers()
  * - bsp_predriver_hook()
Index: cpukit/rtems/include/rtems.h
===================================================================
--- cpukit/rtems/include/rtems.h	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/rtems/include/rtems.h	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -32,5 +32,4 @@
 
 #include <rtems/config.h>
-#include <rtems/debug.h>
 #include <rtems/init.h>
 #include <rtems/rtems/options.h>
Index: cpukit/rtems/include/rtems/rtems/regionimpl.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionimpl.h	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/rtems/include/rtems/rtems/regionimpl.h	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -22,5 +22,4 @@
 #include <rtems/score/objectimpl.h>
 #include <rtems/score/threadqimpl.h>
-#include <rtems/debug.h>
 
 #ifdef __cplusplus
Index: cpukit/sapi/Makefile.am
===================================================================
--- cpukit/sapi/Makefile.am	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/sapi/Makefile.am	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -27,5 +27,5 @@
 
 noinst_LIBRARIES = libsapi.a
-libsapi_a_SOURCES = src/debug.c src/extension.c src/extensioncreate.c \
+libsapi_a_SOURCES = src/extension.c src/extensioncreate.c \
     src/extensiondelete.c src/extensionident.c src/fatal.c src/exinit.c \
     src/exshutdown.c src/io.c src/ioclose.c src/iocontrol.c src/iodata.c \
Index: cpukit/sapi/include/rtems/sptables.h
===================================================================
--- cpukit/sapi/include/rtems/sptables.h	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/sapi/include/rtems/sptables.h	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -25,6 +25,4 @@
 
 #include <rtems/config.h>
-
-#include <rtems/debug.h>
 #include <rtems/fatal.h>
 #include <rtems/init.h>
Index: ukit/sapi/src/debug.c
===================================================================
--- cpukit/sapi/src/debug.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/**
- * @file
- *
- * @brief Debug Manager
- *
- * @ingroup ClassicDebug
- */
-
-/*
- *  Debug Manager
- *
- *  COPYRIGHT (c) 1989-2009.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <rtems/system.h>
-#include <rtems/debug.h>
-
-void _Debug_Manager_initialization( void )
-{
-  rtems_debug_disable( RTEMS_DEBUG_ALL_MASK );
-}
-
-void rtems_debug_enable (
-  rtems_debug_control  to_be_enabled
-)
-{
-  _Debug_Level |= to_be_enabled;
-}
-
-void rtems_debug_disable (
-  rtems_debug_control  to_be_disabled
-)
-{
-  _Debug_Level &= ~to_be_disabled;
-}
-
-bool rtems_debug_is_enabled(
-  rtems_debug_control  level
-)
-{
-  return (_Debug_Level & level) ? true : false;
-}
Index: cpukit/sapi/src/exinit.c
===================================================================
--- cpukit/sapi/src/exinit.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/sapi/src/exinit.c	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -30,5 +30,4 @@
 #include <rtems/system.h>
 #include <rtems/config.h>
-#include <rtems/debug.h>
 #include <rtems/extensionimpl.h>
 #include <rtems/init.h>
@@ -103,10 +102,4 @@
   #endif
 
-  /*
-   *  Do this as early as possible to ensure no debugging output
-   *  is even attempted to be printed.
-   */
-  _Debug_Manager_initialization();
-
   _API_extensions_Initialization();
 
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/score/Makefile.am	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -17,5 +17,5 @@
 include_rtemsdir = $(includedir)/rtems
 
-include_rtems_HEADERS = include/rtems/debug.h
+include_rtems_HEADERS =
 include_rtems_HEADERS += include/rtems/system.h
 include_rtems_HEADERS += include/rtems/seterr.h
Index: ukit/score/include/rtems/debug.h
===================================================================
--- cpukit/score/include/rtems/debug.h	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ 	(revision )
@@ -1,91 +1,0 @@
-/**
- *  @file  rtems/debug.h
- *
- *  @brief Information Related to the Debug Support Within RTEMS
- *
- *  This include file contains the information pertaining to the debug
- *  support within RTEMS.  It is currently cast in the form of a
- *  Manager since it is externally accessible.
- */
-
-/*
- *  COPYRIGHT (c) 1989-2009.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_DEBUG_H
-#define _RTEMS_DEBUG_H
-
-#include <rtems/score/basedefs.h>
-
-/**
- *  @defgroup ScoreDebug Debug Information
- *
- *  @ingroup Score
- */
-/**@{*/
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- *  The following type is used to manage the debug mask.
- */
-typedef uint32_t   rtems_debug_control;
-
-/*
- *  These constants represent various classes of debugging.
- */
-
-/** Macro which indicates that all debugging modes are enabled */
-#define RTEMS_DEBUG_ALL_MASK 0xffffffff
-
-/** Macro which indicates that debugging for heaps/regions is enabled */
-#define RTEMS_DEBUG_REGION   0x00000001
-
-/**
- *  This variable contains the current debug level.
- */
-SCORE_EXTERN rtems_debug_control _Debug_Level;
-
-/**
- *  @brief Initialize debug manager.
- */
-void _Debug_Manager_initialization( void );
-
-/**
- *  @brief Enable debugging.
- */
-void rtems_debug_enable(
-  rtems_debug_control  to_be_enabled
-);
-
-/**
- *  @brief Disable debugging.
- */
-void rtems_debug_disable(
-  rtems_debug_control  to_be_disabled
-);
-
-/**
- *  @brief Check if debug is enabled.
- *
- *  This routine returns TRUE if the requested debug level is
- *  enabled, and FALSE otherwise.
- */
-bool rtems_debug_is_enabled(
-  rtems_debug_control  level
-);
-
-#ifdef __cplusplus
-}
-#endif
-
-/**@}*/
-#endif
-/* end of include file */
Index: cpukit/score/preinstall.am
===================================================================
--- cpukit/score/preinstall.am	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ cpukit/score/preinstall.am	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -43,8 +43,4 @@
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rtems/debug.h: include/rtems/debug.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/debug.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/debug.h
 
 $(PROJECT_INCLUDE)/rtems/system.h: include/rtems/system.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
Index: testsuites/sptests/Makefile.am
===================================================================
--- testsuites/sptests/Makefile.am	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ testsuites/sptests/Makefile.am	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -5,5 +5,5 @@
 _SUBDIRS = \
          sp01 sp02 sp03 sp04 sp05 sp06 sp07 sp08 \
-    sp10 sp11 sp12 sp13 sp14 sp15 sp16 sp17 sp18 sp19 \
+    sp11 sp12 sp13 sp14 sp15 sp16 sp17 sp18 sp19 \
     sp20 sp21 sp22 sp23 sp24 sp25 sp26 sp27 sp27a           \
     sp30 sp31 sp32 sp33 sp34 sp35      sp37 sp38 \
Index: testsuites/sptests/configure.ac
===================================================================
--- testsuites/sptests/configure.ac	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ testsuites/sptests/configure.ac	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -86,5 +86,4 @@
 sp07/Makefile
 sp08/Makefile
-sp10/Makefile
 sp11/Makefile
 sp12/Makefile
Index: stsuites/sptests/sp10/Makefile.am
===================================================================
--- testsuites/sptests/sp10/Makefile.am	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = sp10
-sp10_SOURCES = init.c
-
-dist_rtems_tests_DATA = sp10.scn
-dist_rtems_tests_DATA += sp10.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(sp10_OBJECTS)
-LINK_LIBS = $(sp10_LDLIBS)
-
-sp10$(EXEEXT): $(sp10_OBJECTS) $(sp10_DEPENDENCIES)
-	@rm -f sp10$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/sptests/sp10/init.c
===================================================================
--- testsuites/sptests/sp10/init.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- *  COPYRIGHT (c) 1989-2012.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <tmacros.h>
-
-const char rtems_test_name[] = "SP 10";
-
-/* forward declarations to avoid warnings */
-rtems_task Init(rtems_task_argument argument);
-
-rtems_task Init(
-  rtems_task_argument ignored
-)
-{
-  bool                  is_set;
-
-  TEST_BEGIN();
-
-  puts( "Init - clear debug level" );
-  _Debug_Level = 0;
-
-  puts( "Init - rtems_debug_is_enabled - is 0x1 set? No" );
-  is_set = rtems_debug_is_enabled( 0x1 );
-  rtems_test_assert(is_set == false);
-
-  puts( "Init - rtems_debug_enable - set 0x1" );
-  rtems_debug_enable(0x1);
-  rtems_test_assert(_Debug_Level == 0x1);
-
-  puts( "Init - rtems_debug_is_enabled - is 0x1 set? Yes" );
-  is_set = rtems_debug_is_enabled( 0x1 );
-  rtems_test_assert(is_set == true);
-
-  puts( "Init - rtems_debug_disable - clear 0x1" );
-  rtems_debug_disable(0x1);
-  rtems_test_assert(_Debug_Level == 0x0);
-
-  puts( "Init - rtems_debug_is_enabled - is 0x1 set? No" );
-  is_set = rtems_debug_is_enabled( 0x1 );
-  rtems_test_assert(is_set == false);
-
-  TEST_END();
-  rtems_test_exit(0);
-}
-
-/* configuration information */
-
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
-
-#define CONFIGURE_MAXIMUM_TASKS         1
-#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-#define CONFIGURE_INIT
-#include <rtems/confdefs.h>
-
-/* global variables */
Index: stsuites/sptests/sp10/sp10.scn
===================================================================
--- testsuites/sptests/sp10/sp10.scn	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ 	(revision )
@@ -1,8 +1,0 @@
-*** TEST 10 ***
-Init - clear debug level
-Init - rtems_debug_is_enabled - is 0x1 set? No
-Init - rtems_debug_enable - set 0x1
-Init - rtems_debug_is_enabled - is 0x1 set? Yes
-Init - rtems_debug_disable - clear 0x1
-Init - rtems_debug_is_enabled - is 0x1 set? No
-*** END OF TEST 10 ***
Index: testsuites/sptests/spregion_err01/init.c
===================================================================
--- testsuites/sptests/spregion_err01/init.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ testsuites/sptests/spregion_err01/init.c	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -403,10 +403,4 @@
  */
 
-  puts( "TA1 - rtems_debug_disable - RTEMS_DEBUG_REGION" );
-  rtems_debug_disable( RTEMS_DEBUG_REGION );
-
-  puts( "TA1 - rtems_debug_enable - RTEMS_DEBUG_REGION" );
-  rtems_debug_enable( RTEMS_DEBUG_REGION );
-
   status = rtems_region_extend(
     100,
Index: testsuites/sptests/spsize/size.c
===================================================================
--- testsuites/sptests/spsize/size.c	(revision a06201439acddeda8c9dc2109fb1e72d85bd779c)
+++ testsuites/sptests/spsize/size.c	(revision 8054b1c7181b7c36e413ce15b686f99d06f4a7d2)
@@ -264,6 +264,4 @@
 
 /*copyrt.h*/    0                                         +
-
-/*debug.h*/     (sizeof _Debug_Level)                     +
 
 /*dpmemimpl.h*/ (sizeof _Dual_ported_memory_Information)  +