Index: bare/config/gnu-tools-4.6.bset
===================================================================
--- bare/config/gnu-tools-4.6.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ bare/config/gnu-tools-4.6.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -5,5 +5,5 @@
 %define release 1
 
-package: gnu-tool-%{_target}-%{release}
+package: gnu-tool-%{_target}-%{_host}-%{release}
 
 #
Index: bare/config/gnu-tools-4.8.2.bset
===================================================================
--- bare/config/gnu-tools-4.8.2.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ bare/config/gnu-tools-4.8.2.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -5,5 +5,5 @@
 %define release 1
 
-package: gnu-tools-%{_target}-%{release}
+package: gnu-tools-%{_target}-%{_host}-%{release}
 
 #
Index: bare/config/lang/gcc491.bset
===================================================================
--- bare/config/lang/gcc491.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ bare/config/lang/gcc491.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -5,5 +5,5 @@
 %define release 1
 
-package: gcc491-%{_target}-%{release}
+package: gcc491-%{_target}-%{_host}-%{release}
 
 #
Index: rtems/config/4.10/rtems-autotools.bset
===================================================================
--- rtems/config/4.10/rtems-autotools.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ rtems/config/4.10/rtems-autotools.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -15,5 +15,5 @@
 # The autotoolspackage.
 #
-package: rtems-%{rtems_version}-autotools-%{release}
+package: rtems-%{rtems_version}-autotools-%{_host}-%{release}
 
 #
Index: rtems/config/4.11/rtems-autotools-base.bset
===================================================================
--- rtems/config/4.11/rtems-autotools-base.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ rtems/config/4.11/rtems-autotools-base.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -15,5 +15,5 @@
 # The autotools package.
 #
-package: rtems-%{rtems_version}-autotools-%{release}
+package: rtems-%{rtems_version}-autotools-%{_host}-%{release}
 
 #
Index: rtems/config/4.9/rtems-autotools.bset
===================================================================
--- rtems/config/4.9/rtems-autotools.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ rtems/config/4.9/rtems-autotools.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -15,5 +15,5 @@
 # The autotoolspackage.
 #
-package: rtems-%{rtems_version}-autotools-%{release}
+package: rtems-%{rtems_version}-autotools-%{_host}-%{release}
 
 #
Index: rtems/config/rtems-base.bset
===================================================================
--- rtems/config/rtems-base.bset	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ rtems/config/rtems-base.bset	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -11,5 +11,5 @@
 # The generic package name.
 #
-package: rtems-%{rtems_version}-%{_target}-%{release}
+package: rtems-%{rtems_version}-%{_target}-%{_host}-%{release}
 
 #
Index: source-builder/config/binutils-2-1.cfg
===================================================================
--- source-builder/config/binutils-2-1.cfg	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ source-builder/config/binutils-2-1.cfg	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -15,5 +15,5 @@
 # The description.
 #
-Name:      %{_target}-binutils-%{binutils_version}-%{release}
+Name:      %{_target}-binutils-%{binutils_version}-%{_host}-%{release}
 Summary:   Binutils v%{binutils_version} for target %{_target} on host %{_host}
 Version:   %{binutils_version}
Index: source-builder/config/gcc-common-1.cfg
===================================================================
--- source-builder/config/gcc-common-1.cfg	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ source-builder/config/gcc-common-1.cfg	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -15,5 +15,5 @@
 # The package description.
 #
-Name:      %{_target}-gcc-%{gcc_version}-newlib-%{newlib_version}-%{release}
+Name:      %{_target}-gcc-%{gcc_version}-newlib-%{newlib_version}-%{_host}-%{release}
 Summary:   GCC v%{gcc_version} and Newlib v%{newlib_version} for target %{_target} on host %{_host}
 Version:   %{gcc_version}
Index: source-builder/config/gdb-6-1.cfg
===================================================================
--- source-builder/config/gdb-6-1.cfg	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ source-builder/config/gdb-6-1.cfg	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -7,5 +7,5 @@
 %include %{_configdir}/checks.cfg
 
-Name:      %{_target}-gdb-%{gdb_version}-%{release}
+Name:      %{_target}-gdb-%{gdb_version}-%{_host}-%{release}
 Summary:   GDB v%{gdb_version} for target %{_target} on host %{_host}
 Version:   %{gdb_version}
Index: source-builder/config/gdb-7-1.cfg
===================================================================
--- source-builder/config/gdb-7-1.cfg	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ source-builder/config/gdb-7-1.cfg	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -34,5 +34,5 @@
 # The description.
 #
-Name:      %{_target}-gdb-%{gdb_version}-%{release}
+Name:      %{_target}-gdb-%{gdb_version}-%{_host}-%{release}
 Summary:   GDB v%{gdb_version} for target %{_target} on host %{_host}
 Version:   %{gdb_version}
Index: source-builder/config/or1ksim-1-1.cfg
===================================================================
--- source-builder/config/or1ksim-1-1.cfg	(revision 818ea245daa62add2e27c6c4eac2878c01b497bb)
+++ source-builder/config/or1ksim-1-1.cfg	(revision 8197b8ea04a98fda96b2d976d6ba07d353a1e02b)
@@ -9,5 +9,5 @@
 %endif
 
-Name:      or1ksim-1.1.0
+Name:      or1ksim-%{or1ksim_version}-%{_host}-%{release}
 Summary:   or1ksim-github
 Version:   %{or1ksim_version}
@@ -19,5 +19,5 @@
 # Source
 #
-%source set or1ksim https://github.com/openrisc/or1ksim/archive/or1k-master.zip 
+%source set or1ksim https://github.com/openrisc/or1ksim/archive/or1k-master.zip
 
 #
@@ -34,5 +34,5 @@
   build_top=$(pwd)
 
-  cd or1ksim-or1k-master/ 
+  cd or1ksim-or1k-master/
 
   ../or1ksim-or1k-master/configure \