Index: testsuites/mptests/mp01/init.c
===================================================================
--- testsuites/mptests/mp01/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp01/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp01/system.h
===================================================================
--- testsuites/mptests/mp01/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp01/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp01/task1.c
===================================================================
--- testsuites/mptests/mp01/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp01/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -14,7 +14,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp02/init.c
===================================================================
--- testsuites/mptests/mp02/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp02/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp02/system.h
===================================================================
--- testsuites/mptests/mp02/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp02/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp02/task1.c
===================================================================
--- testsuites/mptests/mp02/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp02/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp03/delay.c
===================================================================
--- testsuites/mptests/mp03/delay.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp03/delay.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -7,7 +7,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp03/init.c
===================================================================
--- testsuites/mptests/mp03/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp03/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp03/system.h
===================================================================
--- testsuites/mptests/mp03/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp03/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp03/task1.c
===================================================================
--- testsuites/mptests/mp03/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp03/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp04/init.c
===================================================================
--- testsuites/mptests/mp04/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp04/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp04/system.h
===================================================================
--- testsuites/mptests/mp04/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp04/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp04/task1.c
===================================================================
--- testsuites/mptests/mp04/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp04/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp05/asr.c
===================================================================
--- testsuites/mptests/mp05/asr.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp05/asr.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp05/init.c
===================================================================
--- testsuites/mptests/mp05/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp05/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp05/system.h
===================================================================
--- testsuites/mptests/mp05/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp05/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp05/task1.c
===================================================================
--- testsuites/mptests/mp05/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp05/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp06/init.c
===================================================================
--- testsuites/mptests/mp06/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp06/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp06/system.h
===================================================================
--- testsuites/mptests/mp06/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp06/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp06/task1.c
===================================================================
--- testsuites/mptests/mp06/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp06/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp07/init.c
===================================================================
--- testsuites/mptests/mp07/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp07/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp07/system.h
===================================================================
--- testsuites/mptests/mp07/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp07/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp07/task1.c
===================================================================
--- testsuites/mptests/mp07/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp07/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp08/init.c
===================================================================
--- testsuites/mptests/mp08/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp08/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp08/system.h
===================================================================
--- testsuites/mptests/mp08/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp08/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp08/task1.c
===================================================================
--- testsuites/mptests/mp08/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp08/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp09/init.c
===================================================================
--- testsuites/mptests/mp09/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp09/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp09/recvmsg.c
===================================================================
--- testsuites/mptests/mp09/recvmsg.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp09/recvmsg.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp09/sendmsg.c
===================================================================
--- testsuites/mptests/mp09/sendmsg.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp09/sendmsg.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp09/system.h
===================================================================
--- testsuites/mptests/mp09/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp09/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp09/task1.c
===================================================================
--- testsuites/mptests/mp09/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp09/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp10/init.c
===================================================================
--- testsuites/mptests/mp10/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp10/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -18,7 +18,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp10/system.h
===================================================================
--- testsuites/mptests/mp10/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp10/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp10/task1.c
===================================================================
--- testsuites/mptests/mp10/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp10/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp10/task2.c
===================================================================
--- testsuites/mptests/mp10/task2.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp10/task2.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp10/task3.c
===================================================================
--- testsuites/mptests/mp10/task3.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp10/task3.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp11/init.c
===================================================================
--- testsuites/mptests/mp11/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp11/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -15,7 +15,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp11/system.h
===================================================================
--- testsuites/mptests/mp11/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp11/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp12/init.c
===================================================================
--- testsuites/mptests/mp12/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp12/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -17,7 +17,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp12/system.h
===================================================================
--- testsuites/mptests/mp12/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp12/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp13/init.c
===================================================================
--- testsuites/mptests/mp13/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp13/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp13/system.h
===================================================================
--- testsuites/mptests/mp13/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp13/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp13/task1.c
===================================================================
--- testsuites/mptests/mp13/task1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp13/task1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp13/task2.c
===================================================================
--- testsuites/mptests/mp13/task2.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp13/task2.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/delay.c
===================================================================
--- testsuites/mptests/mp14/delay.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/delay.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -7,7 +7,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/evtask1.c
===================================================================
--- testsuites/mptests/mp14/evtask1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/evtask1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -10,7 +10,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/evtmtask.c
===================================================================
--- testsuites/mptests/mp14/evtmtask.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/evtmtask.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/exit.c
===================================================================
--- testsuites/mptests/mp14/exit.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/exit.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -7,7 +7,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/init.c
===================================================================
--- testsuites/mptests/mp14/init.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/init.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -12,7 +12,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/msgtask1.c
===================================================================
--- testsuites/mptests/mp14/msgtask1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/msgtask1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -11,7 +11,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/pttask1.c
===================================================================
--- testsuites/mptests/mp14/pttask1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/pttask1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -9,7 +9,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/smtask1.c
===================================================================
--- testsuites/mptests/mp14/smtask1.c	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/smtask1.c	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -8,7 +8,6 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be
Index: testsuites/mptests/mp14/system.h
===================================================================
--- testsuites/mptests/mp14/system.h	(revision 811804fec86c4c6333c9ae56bedf72cbd7639c9d)
+++ testsuites/mptests/mp14/system.h	(revision 08311cc3a95a4b8abf98477c46d7a9f18d360bdb)
@@ -4,7 +4,6 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1998.
+ *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
- *  Copyright assigned to U.S. Government, 1994.
  *
  *  The license and distribution terms for this file may be